using Microsoft.Xna.Framework;

namespace Dakota.Data
{
    public static class GameConstants
    {
        public const int UiRenderLayerBg = 910;
        public const int UiRenderLayerFg = 900;
        public const int BackgroundRenderLayer = 50;

        public static Color ColorBlack = Color.Black;

        // Space UI
        public static Color SpaceUiColor = Color.White;
        public static Color SpaceHudFontColor = new Color(0, 255, 0);

        // Space Gameplay
        public const float ShipAcceleration = 100;
        public const float ShipTurnSpeed = 10;

        // Space Colors
        public static Color ShipColor = Color.White;

        public static Color BoostColor = new Color(255, 128, 0);
        public static Color AsteroidColor = new Color(128, 128, 128);
        public static Color FriendlyWeaponColor = new Color(0, 255, 0);
        public static Color HostileWeaponColor = new Color(255, 0, 255);
        public static Color SpaceCommandColor = new Color(128, 128, 255);
        public static Color NoFlyZoneColor = new Color(200, 0, 0);
    }
}