using System;
using Microsoft.Xna.Framework;

namespace Dakota.Utils
{
    public static class DakotaUtils
    {
        public static float ToAngle(Vector2 v)
        {
            return (float) Math.Atan2(v.Y, v.X) + (float) (Math.PI / 2);
        }

        public static Vector2 VecFromAngle(float angle)
        {
            return new Vector2((float) Math.Sin(angle), (float) -Math.Cos(angle));
        }
    }
}